<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Riwayat Hidup</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-2 my-md-2 bd-layout">
    <div th:include="sidebar/sidebar_register::sidebar_register" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
    <div class="row">
        <div class="col-md-12">
            <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark" >
                <span>Formulir Riwayat Hidup</span>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card bg-body bg-opacity-50 shadow-sm">
<!--                <div class="card-header">-->
<!--                    <h4>Form</h4>-->
<!--                </div>-->
                <div class="card-body">
                    <form th:action="@{/form/pendaftar}" method="post" th:object="${pendaftar}" enctype="multipart/form-data">
                        <div class="mb-3">
                            <label for="namaLengkap" class="form-label">Nama Lengkap berikut gelar</label>
                            <input type="text" class="form-control" name="namaLengkap" id="namaLengkap" required th:field="*{namaLengkap}">
                        </div>
                        <div class="mb-3">
                            <label for="jenisKelamin" class="form-label">Jenis Kelamin</label>
                            <select name="jenisKelamin" id="jenisKelamin" class="form-select" th:field="*{jenisKelamin}"  required>
<!--                                <option value="" selected disabled>&#45;&#45; Pilih &#45;&#45;</option>-->
                                <option value="PRIA">Laki-laki</option>
                                <option value="WANITA">Perempuan</option>
                            </select>
                        </div>
                        <div class="mb-3">
                            <label for="agama" class="form-label">Agama</label>
                            <select name="agama" id="agama" th:field="*{agama}" required class="form-select">
                                <option value="" selected disabled>-- Pilih --</option>
                                <option value="Islam">Islam</option>
                                <option value="Kristen">Kristen</option>
                                <option value="Hindu">Hindu</option>
                                <option value="Budha">Budha</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="mb-3">
                                    <label for="tempatLahir" class="form-label">Tempat Lahir</label>
                                    <input type="text" required class="form-control" name="tempatLahir" id="tempatLahir" th:field="*{tempatLahir}">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="mb-3">
                                    <label for="tanggalLahir" class="form-label">Tanggal Lahir</label>
                                    <input type="date" data-date-format="YYYY-MM-DD" required class="form-control" name="tanggalLahir" id="tanggalLahir" th:field="*{tanggalLahir}">
                                    </div>
                                </div>
                            </div>

                        </div>
                        <div class="mb-3">
                            <label for="statusPerkawinan" class="form-label">Status Perkawinan</label>
                            <select name="statusPerkawinan" id="statusPerkawinan" th:field="*{statusPerkawinan}" required class="form-select">
                                <option value="" selected disabled>-- Pilih --</option>
                                <option value="Sudah Menikah">Sudah Menikah</option>
                                <option value="Belum Menikah">Belum Menikah</option>
                            </select>
                        </div>
                        <div class="mb-3">
                            <label for="alamatSaatIni" class="form-label">Alamat Saat Ini</label>
                            <input type="text" required class="form-control" th:field="*{alamatSaatIni}" id="alamatSaatIni"  name="alamatSaatIni">
                        </div>
                        <div class="mb-3">
                            <label for="alamatTetap" class="form-label">Alamat Tetap</label>
                            <input type="text" required class="form-control" th:field="*{alamatTetap}" id="alamatTetap"  name="alamatTetap">
                        </div>
                        <div class="mb-3">
                            <label for="nomorTelpon" class="form-label">Nomor Telepon</label>
                            <input type="text" required class="form-control" th:field="*{nomorTelpon}" id="nomorTelpon" name="nomorTelpon">
                        </div>
                        <div class="mb-3">
                            <label for="emailSatu" class="form-label">Email 1</label>
                            <input type="email" disabled required class="form-control" name="emailSatu" id="emailSatu" th:value="${emailUser}">
                        </div>
                        <div class="mb-3">
                            <label for="emailDua" class="form-label">Email 2</label>
                            <input type="email" class="form-control" name="emailDua" id="emailDua" th:field="*{emailDua}">
                        </div>
                        <div class="mb-3">
                            <label for="noKtp" class="form-label">Nomor Ktp / Passport</label>
                            <input type="text" required class="form-control" name="noKtp" id="noKtp" th:field="*{noKtp}">
                        </div>
                        <div class="mb-3">
                            <label for="npwp" class="form-label">Nomor NPWP</label>
                            <input type="text" required class="form-control" name="npwp" id="npwp" th:field="*{npwp}">
                        </div>
                        <div class="mb-3">
                            <label for="jenjangJabatanAkademis" class="form-label">Jenjang Jabatan Akademis (JJA)</label>
                            <select name="jenjangJabatanAkademis" class="form-select" id="jenjangJabatanAkademis" th:field="*{jenjangJabatanAkademis}" required>
                                <option value="" disabled selected>-- Pilih --</option>
                                <option value="Asisten Ahli">Asisten Ahli</option>
                                <option value="Lektor">Lektor</option>
                                <option value="Lektor Kepala">Lektor Kepala</option>
                                <option value="Guru Besar">Guru Besar</option>
                            </select>
                        </div>
                        <div class="mb-3">
                            <label for="asalInstitusi" class="form-label">Pangkalan JJA/Asal Institusi</label>
                            <input type="text" required class="form-control" name="asalInstitusi" id="asalInstitusi" th:field="*{asalInstitusi}">
                            <input type="hidden" name="id" th:field="*{id}">
                        </div>
                        <div class="mb-3">
                            <div class="row">
                                <div class="col-md-8">
                                    <div class="form-group">
                                        <label for="foto" class="form-label">Foto</label>

                                        <div class="col-sm-10">
                                            <input type="file" name="image" id="foto" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps" class="form-control">

                                            <p class="help-block" style="color: red;">Ukuran 4 x 6Foto terbaru</p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4" th:align="center">
                                    <div class="form-group">
                                        <label class="form-label"></label>
                                        <div class="col-sm-10">
                                            <img style="width: 200px" class="img-thumbnail" th:src="@{/form/foto{pendaftar}(pendaftar = *{id})}" alt="">
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div class="mb-3">
                            <button th:if="${submit == null}" class="btn btn-primary rounded-pill">Simpan</button>
                            <div th:if="${submit != null}"><span class="alert alert-warning" th:text="${submit}"></span></div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    </main>
    <br>
</main>
</body>
</html>